v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/subjects/{subjectId}/visits/{visitId}
Retrieves dispensation info of the most recent dispensation or all previous dispensations for a study by subject and visit ID. Rights: OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
subjectId(required): string(uuid)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
visitId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the visitExample:
B1B8327AFAA6412287106192AB5984EF
Query Parameters
-
dispensationInfo(required): string
Dispensation info required [last/previous]Example:
true -
includeReplacementVisits: string
Include replacement visits [Y/N]
-
includeUnScheduledVisits: string
Include unscheduled visits [Y/N]
-
instanceNumber: number
Instance number for unscheduled visit.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
Show Source
array-
Array of:
object DispensationInfoResponse
Title:
DispensationInfoResponseResponse object containing dispensation information for a subject visit.
Nested Schema : DispensationInfoResponse
Type:
objectTitle:
DispensationInfoResponseResponse object containing dispensation information for a subject visit.
Show Source
-
dateDispensed: string
(date-time)
Title:
Dispensation DateDispensation date. -
dosage: number
(double)
Title:
DosageDosage.Example:0.5 -
eventInstanceNumber: number
(double)
Title:
Instance NumberVisit instance number.Example:2 -
isHeld: boolean
Title:
Dose HeldIndicates whether dose hold is applied.Example:false -
kitDescription: string
Title:
Kit DescriptionKit description.Example:Kit A description paracetamol 5mg -
kitType: string
Title:
Kit TypeKit type.Example:KitA -
kitTypeSrcId: string
(uuid)
Title:
Kit Type Source IDKit type ID. -
quantity: number
(double)
Title:
QuantityKit quantity.Example:3 -
visitName: string
Title:
Visit NameVisit name.Example:Week1 -
visitSrcId: string
(uuid)
Title:
Visit Source IDVisit source identifier.
Examples
400 Response
Invalid parameters
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
404 Response
Invalid study ID or visit ID OR Subject not found
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples